logo

Welcome Guest! To enable all features please Login or Register.

Notification

Icon
Error

Options
Go to last post Go to first unread
RogerThat  
#1 Posted : 17 October 2017 20:24:20(UTC)
RogerThat

Rank: Newbie

Groups: Registered
Joined: 17/08/2017(UTC)
Posts: 7
United States
Location: FL

I had been using the 2.7.1 beta for about a month and it is now expired.

Do I now have to purchase a working issue.

Is their a working issue.

Where is it.

If none of the above apply, when can we expect a new download.

Can't wait:)

Thanks
Holton181  
#2 Posted : 20 October 2017 16:35:33(UTC)
Holton181

Rank: Member

Groups: Registered
Joined: 19/11/2016(UTC)
Posts: 21

Sorry to say, but no working issue. He does not offer it as a payware yet, hopefully hi will do soon.
But unfortunately there is no trace of activity from him since 9th of July (a few tweets on twitter, https://mobile.twitter.com/UltraMFCD).
Hope he is well.
Only Helicopters
DCS 1.5
Win7 Pro 64bit
i7-3820 3.60GHz (OC4.75)
P9X79 Pro
32GB
2xGTX 670 2GB
VG278H + a Dell
PFT Lynx
TrackIR 5
Holton181  
#3 Posted : 01 November 2017 18:46:14(UTC)
Holton181

Rank: Member

Groups: Registered
Joined: 19/11/2016(UTC)
Posts: 21

Just tested again, and for some reason it works again!
I have no clue why.
RogerThat, try it again and see if it works for you too.
Only Helicopters
DCS 1.5
Win7 Pro 64bit
i7-3820 3.60GHz (OC4.75)
P9X79 Pro
32GB
2xGTX 670 2GB
VG278H + a Dell
PFT Lynx
TrackIR 5
Users browsing this topic
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.